#include <QApplication>
#include <QTreeWidget>
#include <QMainWindow>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QMainWindow w;
    QTreeWidget t;
    w.setCentralWidget(&t);
    w.show();

    t.setSelectionMode(QAbstractItemView::ExtendedSelection);
    t.setDragEnabled(true);
    t.setDragDropMode(QAbstractItemView::InternalMove);

    QTreeWidgetItem* parent = new QTreeWidgetItem(&t, QStringList() << "From");
    parent->setBackgroundColor(0, QColor(255, 255, 0));

    QTreeWidgetItem *child = new QTreeWidgetItem(parent, QStringList() << "A");
    child->setBackgroundColor(0, QColor(255, 0, 0));

    child = new QTreeWidgetItem(parent, QStringList() << "B");
    child->setBackgroundColor(0, QColor(255, 0, 0));

    child = new QTreeWidgetItem(parent, QStringList() << "C");
    child->setBackgroundColor(0, QColor(255, 0, 0));

    parent->setExpanded(true);
    parent = new QTreeWidgetItem(&t, QStringList() << "To");
    parent->setBackgroundColor(0, QColor(255, 255, 0));
    parent->setExpanded(true);

    return a.exec();
}
